-- Project: Plasma demo effect
-- SDK: Gideros 2012.09.1
-- Author: Andrew Burch
-- Date: 14/10/2012
-- Site: http://www.newhighscore.net
-- Contact: andrew.burch@newhighscore.net
-- Note: Ported from corona sample

local plasma = require('plasma')

-- setup orientation
application:setOrientation(Application.LANDSCAPE_LEFT)

-- setup background
application:setBackgroundColor(0x000000)

-- set up a new plasma
local newPlasma = plasma.new {
					xoffset = 0,
					yoffset = 0,
					cellWidth = 16,
					cellHeight = 16,
					xcellCount = 50,
					ycellCount = 30,
				}

-- register main update listener
stage:addEventListener(Event.ENTER_FRAME, function(event)
									local dt = event.deltaTime
									local time = event.time
									
									newPlasma:update(dt, time)
								end)